.wcl-find__content {
  width: 100%;
  display: flex;
  flex-direction: column;
  align-items: center;
  color: var(--c-main);
}
.wcl-find__header {
  width: 100%;
  display: flex;
  flex-direction: column;
  align-items: center;
  margin-bottom: 40px;
}
.wcl-find__title {
  text-align: center;
  margin-bottom: 15px;
}
.wcl-find__description {
  text-align: center;
  color: var(--c-text);
  max-width: 526px;
}
.wcl-find__letters {
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
  margin-bottom: 40px;
}
.wcl-find__letter {
  position: relative;
  width: 50px;
  height: 50px;
  display: flex;
  align-items: center;
  justify-content: center;
  margin-left: -3px;
}
.wcl-find__letter svg {
  position: absolute;
  z-index: -1;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  width: 50px;
  height: 50px;
}
.wcl-find__letter svg path {
  fill: transparent;
  transition: var(--transition);
}
.wcl-find__letter .letter {
  position: relative;
  font-weight: 800;
  font-size: 32px;
  line-height: 1.4;
  cursor: pointer;
  transition: var(--transition);
}
.wcl-find__letter .letter.active {
  position: relative;
  z-index: 0;
  color: var(--c-white);
}
.wcl-find__letter .letter.active + svg path {
  fill: var(--c-orange);
}
.wcl-find__results {
  width: 100%;
  background-color: var(--bg-main);
  border-radius: 50px;
  padding: 35px 40px;
}
.wcl-find__list {
  width: 100%;
  display: flex;
  align-items: center;
  flex-wrap: wrap;
  gap: 7px 25px;
}
.wcl-find__result {
  margin-left: 20px;
}
.wcl-find__result::marker {
  transition: var(--transition);
}
.wcl-find__result a {
  position: relative;
  text-decoration: none;
  font-weight: 700;
  color: inherit;
  transition: var(--transition);
}
.wcl-find .modal {
  position: fixed;
  z-index: 100;
  left: 0;
  top: 0;
  width: 100%;
  height: 100%;
  background-color: rgba(0, 0, 0, 0.5);
  display: flex;
  align-items: center;
  justify-content: center;
  opacity: 0;
  transition: opacity 0.3s ease;
}
.wcl-find .modal-content {
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 20px;
  background: var(--c-white);
  padding: 50px 20px 30px;
  max-width: 800px;
  width: 90%;
  max-height: 90vh;
  border-radius: 12px;
  position: relative;
  transform: translateY(-150px) scale(0.7);
  transition: transform 0.3s ease;
  overflow-y: auto;
  scrollbar-width: none;
  -ms-overflow-style: none;
}
.wcl-find .modal-content::-webkit-scrollbar {
  display: none;
}
.wcl-find .modal.modal-show {
  display: flex;
  opacity: 1;
}
.wcl-find .modal.modal-hide {
  opacity: 0;
  pointer-events: none;
}
.wcl-find .modal.modal-show .modal-content {
  transform: translateY(0) scale(1);
}
.wcl-find .modal-close {
  position: absolute;
  top: 20px;
  right: 20px;
  width: 30px;
  height: 30px;
  border-radius: 50%;
  display: flex;
  justify-content: center;
  align-items: center;
  cursor: pointer;
  transition: all 0.3s ease 0s;
}
.wcl-find .modal-close svg path {
  transition: fill 0.3s ease 0s;
}
.wcl-find .modal-close svg circle {
  transition: stroke 0.3s ease 0s;
}
.wcl-find .modal-title {
  font-weight: 500;
  font-size: 40px;
  line-height: 1.1;
  text-align: center;
}
.wcl-find .modal-body {
  color: var(--c-text);
}
.wcl-find .modal-body > *:not(:last-child) {
  margin-bottom: 10px;
}
.wcl-find .modal-body ol {
  padding-left: 24px;
}
.wcl-find .modal-body ol li::marker {
  color: var(--c-orange);
  padding-left: 3px;
}
.wcl-find .modal-body ul {
  list-style: none;
  padding-left: 18px;
}
.wcl-find .modal-body ul li {
  position: relative;
  padding-left: 5px;
}
.wcl-find .modal-body ul li::before {
  position: absolute;
  content: "";
  top: 7px;
  left: -15px;
  background-color: #D7B180;
  width: 10px;
  height: 10px;
  border-radius: 50%;
}
.wcl-find .modal-body a {
  color: inherit;
  font-weight: 500;
  text-decoration: none;
  position: relative;
}
.wcl-find .modal-body a::before {
  position: absolute;
  content: "";
  bottom: 1px;
  left: 0;
  transform: translateY(-50%);
  background-color: var(--c-text);
  width: 100%;
  height: 1px;
  transition: var(--transition);
}
.wcl-find .modal-body a:hover::before {
  left: 50%;
  width: 0%;
  transition: var(--transition);
}
@media (min-width: 23.4375em) and (max-width: 81em) {
  @supports (margin-top: clamp( 2.5rem , 0.3369299674rem  +  9.2290988056vw , 7.8125rem )) {
    .wcl-find {
      margin-top: clamp( 2.5rem , 0.3369299674rem  +  9.2290988056vw , 7.8125rem );
    }
  }
  @supports not (margin-top: clamp( 2.5rem , 0.3369299674rem  +  9.2290988056vw , 7.8125rem )) {
    .wcl-find {
      margin-top: calc(2.5rem + 5.3125 * (100vw - 23.4375rem) / 57.5625);
    }
  }
  @supports (margin-bottom: clamp( 2.5rem , 0.3369299674rem  +  9.2290988056vw , 7.8125rem )) {
    .wcl-find {
      margin-bottom: clamp( 2.5rem , 0.3369299674rem  +  9.2290988056vw , 7.8125rem );
    }
  }
  @supports not (margin-bottom: clamp( 2.5rem , 0.3369299674rem  +  9.2290988056vw , 7.8125rem )) {
    .wcl-find {
      margin-bottom: calc(2.5rem + 5.3125 * (100vw - 23.4375rem) / 57.5625);
    }
  }
}
@media (min-width: 81em) {
  .wcl-find {
    margin-top: 7.8125rem;
  }
  .wcl-find {
    margin-bottom: 7.8125rem;
  }
}
@media screen and (max-width: 576px) {
  .wcl-find__letter {
    width: 40px;
    height: 40px;
  }
  .wcl-find__letter svg {
    width: 40px;
    height: 40px;
  }
  .wcl-find__letter .letter {
    font-size: 28px;
  }
}
@media (max-width: 23.4375em) {
  .wcl-find {
    margin-top: 2.5rem;
  }
  .wcl-find {
    margin-bottom: 2.5rem;
  }
}
@media (any-hover: hover) {
  .wcl-find__letter:hover svg path {
    fill: var(--c-orange);
  }
  .wcl-find__letter:hover .letter {
    position: relative;
    z-index: 0;
    color: var(--c-white);
  }
  .wcl-find__result:hover::marker {
    color: var(--c-orange);
  }
  .wcl-find__result a:hover {
    color: var(--c-orange);
  }
  .wcl-find .modal-close:hover svg path {
    fill: var(--c-orange);
  }
  .wcl-find .modal-close:hover svg circle {
    stroke: var(--c-orange);
  }
}
